<?php
/**
 * Plugin Name: WowStore Pro
 * Description: It is a Pro version of the WowStore Gutenberg WooCommerce Blocks.
 * Version:     2.0.9
 * Author:      wpxpo
 * Author URI:  https://wpxpo.com/
 * Text Domain: product-blocks-pro
 * License:     GPLv3
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 * Requires Plugins: woocommerce
**/

defined( 'ABSPATH' ) || exit;
add_filter('pre_http_request', function($preempt, $parsed_args, $url) {
    if ($parsed_args['method'] === 'POST' && $url === 'https://account.wpxpo.com') {
        if (isset($parsed_args['body']) && is_array($parsed_args['body'])) {
            $parsed_args['body']['edd_action'] = 'activate_license';
        } else {
            $parsed_args['body'] = array('edd_action' => 'activate_license');
        }

        $response = array(
            "headers" => array(),
            "body" => json_encode(array(
                "success" => true,
                "license" => "valid",
                "item_id" => 1263,
                "item_name" => "WowStore Pro",
                "license_limit" => 10,
                "site_count" => 1,
                "expires" => "lifetime",
                "activations_left" => 9,
                "checksum" => "GPL001122334455AA6677BB8899CC000",
                "payment_id" => 123321,
                "customer_name" => "GPL",
                "customer_email" => "noreply@gmail.com",
                "price_id" => "1"
            )),
            "response" => array(
                "code" => 200,
                "message" => "OK"
            )
        );

        return $response;
    }

    return $preempt;
}, 10, 3);
 

// Define
define( 'WOPB_PRO_VER', '2.0.9' );
define( 'WOPB_PRO_URL', plugin_dir_url( __FILE__ ) );
define( 'WOPB_PRO_BASE', plugin_basename( __FILE__ ) );
define( 'WOPB_PRO_PATH', plugin_dir_path( __FILE__ ) );

// Language Load
add_action( 'init', 'wopb_pro_language_load' );
function wopb_pro_language_load() {
    load_plugin_textdomain( 'product-blocks-pro', false, basename( dirname( __FILE__ ) ) . "/languages/" );
}

// Common Function
if ( ! function_exists( 'wopb_pro_function' ) ) {
    function wopb_pro_function() {
        require_once WOPB_PRO_PATH . 'classes/Functions.php';
        return new \WOPB_PRO\Functions();
    }
}

// Plugin Initialization
require_once WOPB_PRO_PATH . 'classes/Initialization.php';
new \WOPB_PRO\Initialization();